2009-04-06  Matthias Clasen <mclasen@redhat.com>

	* gnome-da-capplet.c: Prevent the custom entries from getting out of
	sync with their backing GConf entry. (#578089)

2009-03-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-default-applications-properties.glade: fix mnemonics conflict
	for web browser and mail reader command widgets. There's another
	conflict for the "Run in terminal" checkbox but that one will have to
	wait until string freeze is over

==================== 2.25.90 ====================

2009-01-30  Bastien Nocera  <hadess@hadess.net>

	* gnome-da-capplet.c (web_radiobutton_toggled_cb): Fix potential
	crasher when web_radiobutton_toggled_cb is called and the
	browser in GConf doesn't exist on the system anymore

2009-01-28  Jens Granseuer  <jensgr@gmx.net>

	* gnome-da-capplet.c: (web_combo_changed_cb): update the entry with
	the correct command for the selected option instead of always using
	the default

2009-01-20  Bastien Nocera  <hadess@hadess.net>

	* gnome-da-capplet.c (web_radiobutton_toggled_cb),
	(web_combo_changed_cb), (web_combo_conv_to_widget): Fix the https
	handler never being set (Closes: #568408)

==================== 2.25.3 ====================
==================== 2.25.2 ====================
==================== 2.25.1 ====================

Fri Oct 24 18:22:22 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-da-capplet.c (main): Use new capplet_init() function

Fri Oct 24 17:54:17 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-da-capplet.c (main): Fix to use gtk_init_with_args() correctly.

Fri Oct 24 17:31:40 2008  Søren Sandmann  <sandmann@redhat.com>

	* gnome-da-capplet.c (main): Replace use of gnome_program_init()
	with gtk_init_with_args()

2008-10-10  Bastien Nocera  <hadess@hadess.net>

	* gnome-default-applications.xml.in: Fix build failure caused by last
	commit

2008-10-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-default-applications.xml.in: add Listen to the list of media
	players. Patch by Julien Lavergne

==================== 2.24.0.1 ====================

2008-09-03  Jens Granseuer  <jensgr@gmx.net>

	* gnome-at-session.desktop.in.in: use a11y icon instead of searchtool
	(bug #550742)

2008-09-03  Jens Granseuer  <jensgr@gmx.net>

	* gnome-at-session.desktop.in.in: don't advertise startup-notify. The
	script doesn't support it (bug #550694)

2008-07-29  Rodrigo Moya <rodrigo@gnome-db.org>

	Patch from James Westby <jw+debian@jameswestby.net>
	
	* gnome-da-capplet.c (combo_conv_from_widget): don't return NULL, but
	the already set 'ret' variable, to allow Custom commands to work (bug
	#545280)

2008-07-24  Jens Granseuer  <jensgr@gmx.net>

	* gnome-default-applications.xml.in: use -x instead of -e as exec_flag
	for Terminator (bug #544058)

2008-07-15  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: install the default apps list in the default-apps
	subdirectory
	* gnome-da-xml.c: (gnome_da_xml_load_list): load everything from there
	* gnome-default-applications.pc.in: add file so that applications can
	query where to put their extensions

2008-07-15  Jens Granseuer  <jensgr@gmx.net>

	reviewed by: <delete if not using a buddy>

	* Makefile.am:
	* gnome-da-xml.c: (gnome_da_xml_load_list):
	* gnome-default-applications.pc.in:

2008-07-15  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Aprotim Sanyal <aprotim@google.com>

	* gnome-da-xml.c: (gnome_da_xml_load_list): make it possible for apps
	to install additional XML files to extend the list of available
	applications (bug #527304)

2008-06-15  Thomas Wood  <thos@gnome.org>

	* Makefile.am:
	* icons/*:

	Provide a Tango style application icon for Preferred Applications
	capplet (bug 397312). Artwork by Jakub Steiner <jimmac@ximian.com>.

2008-05-18  Thomas Wood  <thos@gnome.org>

	* gnome-da-capplet.c: Convert to use GConfPropertyEditor and remove
	a lot of duplicated code in the process.

==================== 2.23.2 ====================

2008-04-16  Jens Granseuer  <jensgr@gmx.net>

	* gnome-da-capplet.c: (show_dialog), (main):
	* gnome-default-applications-properties.glade: add -p/--show-page to
	open the dialog on a specific page (see bug #528196)

2008-02-21  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Willie Walker <william.walker@sun.com>

	* gnome-at-commandline.in.in: use `...` syntax instead of $(...) for
	better portability (bug #517938)

2008-02-09  Jens Granseuer  <jensgr@gmx.net>

	* gnome-default-applications.xml.in: add support for Konsole, too
	(bug #515386)

2008-02-09  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Nicolas Valcárcel

	* gnome-default-applications.xml.in: add support for Terminator
	console (bug #515366)

2008-02-08  Jens Granseuer  <jensgr@gmx.net>

	* gnome-at-session.desktop.in.in: improve name and description for the
	visual AT autostarter (bug #515197)

2008-02-01  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Sven Arvidsson <sa@whiz.se>

	* gnome-default-applications.xml.in: support --new-tab/--new-window
	for Iceweasel (bug #322795)

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Chris Jones

	* gnome-default-applications.xml.in: sok is now called onBoard (bug
	#499328)

2007-11-28  Jens Granseuer  <jensgr@gmx.net>

	Based on patch by: Jakub Rusinek <liviopl.pl@gmail.com>

	* gnome-default-applications.xml.in: add support for Midori web browser
	(bug #500274)

2007-11-26  Sebastien Bacher  <seb128@ubuntu.com>

	* gnome-default-applications.xml.in: don't list the oudated evolution
	  versions nor the text web browsers (Closes: #499327)

2007-10-31  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Distcheck fixes.

2007-10-25  Jens Granseuer  <jensgr@gmx.net>

	* gnome-default-applications.xml.in: replace obsolete "orca -m" command
	by new "orca -e magnifier" (bug #489973)

2007-10-02  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Stephane Loeuillet <leroutier@gmail.com>

	* Makefile.am: use standard xdg autostart directory instead of gnome
	one (bug #481740)

2007-09-19  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Michael Monreal <infernux@web.de>

	* gnome-da-capplet.c: replace mail and multimedia icon names with
	Tangoified versions (bug #470386)

2007-09-18  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Patrick Wade <patrick.wade@sun.com>

	* gnome-default-applications-properties.glade: make accelerators for
	the accessibility tools page unique (bug #474308)

2007-08-21  Philip Withnall <bugzilla@tecnocode.co.uk>

	* gnome-default-applications.xml.in: use new -new-tab and -new-window
	arguments instead of -remote for Firefox tab and window commands.
	Closes bug #393204.

2007-08-17  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Sven Arvidsson <sa@whiz.se>

	* gnome-default-applications.xml.in: add browser and mail entries for
	Iceape, the debranded Seamonkey version used by Debian (bug #467472)

2007-08-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-at-commandline.in.in: don't use '==', and improve
	portability with empty strings

2007-07-29  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* default-applications-accessibility.desktop.in.in:
	* gnome-at-mobility.desktop.in.in:
	* gnome-at-visual.desktop.in.in: remove spurious desktop entries
	(bug #444787)

2007-07-12  Matthias Clasen  <mclasen@redhat.com>

	* gnome-default-applications-properties.glade:
	* gnome-da-capplet.c: Change the custom command entries to be
	insensitive, instead of noneditable, unless we are a custom
	command.  (#456308)

2007-07-08  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* default-applications-accessibility.desktop.in.in:
	* default-applications.desktop.in.in:
	* gnome-at-mobility.desktop.in.in:
	* gnome-at-session.desktop.in.in:
	* gnome-at-visual.desktop.in.in: fix bugzilla info and clean up the
	Makefile a bit

2007-07-07  Jens Granseuer  <jensgr@gmx.net>

	* gnome-da-capplet.c: (entry_focus_out_event_cb),
	(terminal_checkbutton_toggled_cb), (a11y_checkbutton_toggled_cb),
	(web_radiobutton_toggled_cb), (web_combo_changed_cb),
	(mail_combo_changed_cb), (media_combo_changed_cb),
	(terminal_combo_changed_cb), (visual_combo_changed_cb),
	(mobility_combo_changed_cb), (show_dialog): fix error handling, plug
	some memory leaks, and properly handle unset GConf keys in
	xxx_combo_changed_cb (fixes bug #454103)

2007-04-27  Rodrigo Moya <rodrigo@gnome-db.org>

	* default-applications-accessibility.desktop.in.in: renamed Bugzilla
	product.

2007-04-23  George Kraft IV <gk4@austin.ibm.com>

	* gnome-da-applet.c: better icons for A11Y categories.

2007-04-18  Rodrigo Moya <rodrigo@gnome-db.org>

	Patch from SuSE package

	* gnome-default-applications.xml.in: added Seamonkey as web browser and
	mail reader.

2007-04-08  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Kristof Vansant <de_lupus@pandora.be>

	* gnome-default-applications-properties.glade: don't require gnome
	glade lib

2007-03-20  Priit Laes  <plaes@svn.gnome.org>

	* gnome-da-capplet.c: Glue code to tie everything together.
	* gnome-da-capplet.h: Added widgets and defines for default mediaplayer.
	* gnome-da-xml.c: (gnome_da_xml_load_xml), (gnome_da_xml_free): Added
	mediaplayer data parser.
	* gnome-da-item.c: Changed occurrences of MailItem to SimpleItem, so we
	can also use it for mediaplayers.
	* gnome-da-item.h: Ditto.
	* gnome-default-applications-properties.glade: Make Multimedia tab visible
	and change the UI to include our favorite mediaplayer selector.
	* gnome-default-applications.xml.in: Add some media players to the list.

	Introduces preferred media application support. Bug #362578.

2007-02-13  Jens Granseuer  <jensgr@gmx.net>

	* gnome-da-capplet.c: (web_gconf_changed_cb): don't try to read into
	invalid territory when the user set a custom command without spaces.
	Closes bug #407601.

2007-02-13  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* gnome-da-capplet.c: (show_dialog):
	* gnome-da-xml.c: (gnome_da_xml_load_list): really fix DATADIR and
	make directory definitions more consistent with other capplets.
	Closes bug #407597.

2007-02-03  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: fix DATADIR define

2007-02-03  Jens Granseuer  <jensgr@gmx.net>

	* gnome-da-capplet.c: (fill_combo_box), (show_dialog), (main):
	* gnome-da-xml.c: (gnome_da_xml_load_xml),
	(gnome_da_xml_load_list), (gnome_da_xml_free):
	* gnome-da-xml.h: plug memory leaks. Closes bug #395212.

2007-02-02  Christian Persch  <chpe@svn.gnome.org>

	* gnome-da-capplet.c: (main): Use specific string as app ID in
	gnome_program_init, not PACKAGE. Bug #403708.

2007-01-17  Thomas Wood  <thos@gnome.org>

	* default-applications.desktop.in.in: Move Preffered Applications
	capplet from SystemSettings to PersonalSettings

2006-12-17  Colin Leroy  <colin@colino.net>

	* gnome-default-applications.xml.in: add support for Claws Mail (aka
	Sylpheed-Claws). Closes bug #386771.

2006-12-17  Luca Cavalli  <lcavalli@cvs.gnome.org>

	* gnome-default-applications.xml.in: Fix Thunderbird command line
	parameter (this time should *really* work). Closes bug #326808.

2006-12-17  Loïc Minier  <lool+gnome@via.ecp.fr>

	* gnome-default-applications.xml.in: add support for Iceweasel and
	Icedove. Closes bug #379085.

2006-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-da-capplet.c: (web_combo_changed_cb),
	(mail_combo_changed_cb), (terminal_combo_changed_cb):
	Fix a bunch of leaks from gconf_client_get_string()
	Bug #376949.

2006-10-09  Luca Cavalli  <lcavalli@cvs.gnome.org>

	* gnome-da-capplet.c: (web_gconf_changed_cb):
	* gnome-da-capplet.h:

	Added support for legacy gconf key. Based on a patch from Sven
	Herzberg <herzi@gnome-de.org>. Closes bug #359986.

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* default-applications.desktop.in.in: don't list the Application
	category, patch by Vincent Fretin <vincent.fretin@gmail.com>
	(Closes: #344321)

2006-05-09  Daniel Holbach  <dholbach@ubuntu.com>

	* gnome-da-capplet.c: (close_cb): update help section name. Closes
	bug #340032.

2006-05-09  Luca Cavalli  <lcavalli@cvs.gnome.org>

	* gnome-default-applications.xml.in: remove unnecessary
	gnome-terminal command line parameter. Closes bug #336700.

2006-04-13  Luca Cavalli  <loopback@slackit.org>

	* gnome-default-applications.xml.in: add support for Sylpheed. Based
	on a patch from Fryderyk Dziarmagowski <freetz@pld-linux.org>.
	Closes bug #332659.

2006-03-23  Luca Cavalli  <loopback@slackit.org>

	* gnome-default-applications.xml.in: Fix Thunderbird command line
	parameter (this time should work). Closes (again) bug #326808.

2006-03-12  Luca Cavalli  <loopback@slackit.org>

	* gnome-da-capplet.c: (terminal_checkbutton_toggled_cb): remove
	double gconf value setting. Closes bug #334331.

2006-03-06  Luca Cavalli  <loopback@slackit.org>

	* gnome-da-capplet.c: (web_combo_changed_cb),
	(mail_combo_changed_cb), (terminal_combo_changed_cb),
	(web_browser_update_combo_box), (mail_reader_update_combo_box),
	(terminal_update_combo_box): replace gtk_entry_set_editable,
	which is deprecated in newly-written code, with
	gtk_editable_set_editable. Closes bug #329193.

2006-03-01  Luca Cavalli  <loopback@slackit.org>

	* gnome-da-capplet.c: (screen_changed_cb), (show_dialog): remove two
	unused variables. Closes bug #332973.

2006-02-28  Luca Cavalli  <loopback@slackit.org>

	* gnome-da-capplet.c: (refresh_combo_box_icons),
	(theme_changed_cb), (screen_changed_cb), (fill_combo_box),
	(show_dialog):
	* gnome-da-capplet.h:
	* gnome-da-item.c: (gnome_da_web_item_free),
	(gnome_da_mail_item_free), (gnome_da_term_item_free):
	* gnome-da-item.h: look at the correct icon theme after screen changes
	and update also combo boxes icons when icon theme changes. Closes
	bug #330154.

2006-02-28  Takeshi Aihana  <aihana@jcom.home.ne.jp>

	* gnome-da-capplet.c: (show_dialog), (main): use correct text domain
	name. Closes bug #332833.

2006-02-27  Glynn Foster <glynn.foster@sun.com>

	* gnome-default-applications.xml.in: Fix typos.

2006-02-27  Fryderyk Dziarmagowski  <freetz@pld-linux.org>

	* gnome-default-applications.xml.in: fix Sylpheed Claws executable
	name. Closes part of bug #332659.

2006-02-14  Luca Cavalli <loopback@slackit.org>

	* gnome-da-capplet.c: (web_browser_update_combo_box),
	(web_browser_update_radio_buttons), (web_gconf_changed_cb),
	(show_dialog): disable "toggle" signal emission during UI update,
	thus preventing calling twice the same code. Closes bug #328094.

2006-02-08  Luca Cavalli <loopback@slackit.org>

	* gnome-da-capplet.c: (web_radiobutton_toggled_cb),
	(web_item_comp), (mail_gconf_changed_cb), (term_gconf_changed_cb),
	(show_dialog):
	* gnome-da-xml.c: (gnome_da_xml_load_xml): fix some compilation
	warnings. Close bug #330384.

2006-01-28  chpe <chpe@gnome.org>

	Fixes #327220

	* gnome-default-applications.xml.in: use "Epiphany Web Browser",
	like in the .desktop file and use long options for Epiphany.

2006-01-28  Rodrigo Moya <rodrigo@novell.com>

	Fixes part of #327749

	* gnome-default-applications-properties.glade:
	* gnome-da-capplet.c (web_combo_changed_cb, mail_combo_changed_cb,
	terminal_combo_changed_cb, web_browser_update_combo_box,
	mail_reader_update_combo_box, terminal_update_combo_box): don't set
	entries' sensitivity, just disable input on them.

2006-01-28  Luca Cavalli <loopback@slackit.org>

	* gnome-da-capplet.c: (web_combo_changed_cb),
	(mail_combo_changed_cb), (terminal_combo_changed_cb),
	(web_browser_update_combo_box), (mail_reader_update_combo_box),
	(terminal_update_combo_box), (web_gconf_changed_cb),
	(mail_gconf_changed_cb), (term_gconf_changed_cb), (show_dialog):
	update custom command entries also when predefined application is
	selected. Closes bug #327749.

2006-01-17  Luca Cavalli  <loopback@slackit.org>

	* gnome-default-applications.xml.in: fixed Thunderbird command
	line parameter. Closes bug #326808.

2006-01-17  Luca Cavalli  <loopback@slackit.org>

	* gnome-da-xml.c: (gnome_da_xml_get_string): load translated XML
	application description, if available. Closes bug #327221.

2006-01-16  Rodrigo Moya <rodrigo@novell.com>

	* gnome-da-xml.c (gnome_da_xml_load_list): just read the file
	from the $datadir we installed it.

	* Makefile.am: -DDATADIR.

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: fixed the dist

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* gnome-da-capplet.c: (show_dialog): fixes some errors with the path

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* gnome-da-capplet.c: (show_dialog): use the correct .glade

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: fix gladedir use

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: fix a name

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am:
	* default-applications-properties.glade:
	* gnome-da-capplet.c, gnome-da-capplet.h:
	* gnome-da-item.c, gnome-da-item.h:
	* gnome-da-xml.c, gnome-da-xml.h:
	* gnome-default-applications-properties-structs.c:
	* gnome-default-applications-properties.c:
	* gnome-default-applications-properties.glade:
	* gnome-default-applications.xml.in:
	new gnome-default-applications capplet,
	patch by Luca Cavalli <loopback@slackit.org> updated for the
	gnome-control-center build system

2006-01-03  pholie <golierr@gmail.com>

	Fixes bug #324629

	* gnome-default-applications-properties-structs.c: added Opera to
	list of default browsers.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-default-applications-properties-structs.c: Mark the
	structs static.

2005-10-20  Colin Leroy <colin@colino.net>

	* gnome-default-applications-properties-structs.c: added
	Sylpheed Claws to the list of possible mailers.

2005-09-25  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties-structs.c:
	list evolution-2.4 binary, patch by Jan de Groot <jan@jgc.homeip.net>
	(Closes: #315871).

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties-structs.c:
	list "thunderbird" as program name,
	patch from Pawel Worach <sajd@telia.com> (Closes: #167757).

2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties.glade:
	fix a warning about the icon,
	patch from Matthias Clasen <mclasen@redhat.com> (Closes: #168060).

2005-01-08  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties-structs.c: add evolution-2.0
	and evolution-2.2 to the mailers list (Closes: #163334).

2005-01-02  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties.glade:
        patch from Heikki Paajanen <hepaajan@iki.fi> (based on the patch
        from Andrew Johnson <acjgenius@earthlink.net>)
        to not set "close" as the default button (Closes: #98202).

2004-11-30  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties-structs.c: use the right name
	for each browser instead of listing different names for some entry
	(#155246).

2004-11-26  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties.glade: changed a mnemonic to
	fix #144343.

2004-11-26  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties.glade: Mask the "Text Editor"
	tab since it's not used by the new mime system.

2004-11-26  Michael Terry <mike@mterry.name>

	* gnome-default-applications-properties.glade: Simplify some strings
	and add a window icon per bug #98918.

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications.

	* default-applications.desktop.in: add OnlyShowIn=GNOME;

2004-10-21  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* gnome-default-applications-properties-structs.c: Added Thunderbird to
	the mail clients.

2004-10-21  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties.c: (read_browser),
	(read_mailer):
	don't crash if the browser list or the mailer list is empty
	(Closes: #151672).

2004-10-17  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* gnome-default-applications-properties-structs.c:
	  * Corrected w3m binary name
	  * Added Debian's "sensible-browser" (wrapper script honouring
	    $BROWSER (http://www.catb.org/~esr/BROWSER/), x-www-browser etc.)
	  * Added Debian's "x-terminal-emulator" (which is managed through the
	    alternatives mechanism)
	  * Added "aterm" (http://aterm.sf.net)
	  * Added "Firefox" entry (official capitalisation; no StudlyCaps)
	  * Removed inconsistent "Firebird/FireFox" entry

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-10-14  Sebastien Bacher  <seb128@debian.org>

	* gnome-default-applications-properties.c: (setup_peditors),
	(read_browser), (value_changed_cb): Use the Web Browser for https too.
	(Closes: #123487).

2004-10-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-default-applications-properties-structs.c: Revert string
	changes and add entries for Firefox on Debian and Fedora with
	new binary names. Original patch from jdassen at debian org.
	Closes part of bug #155246. The original patch should go into HEAD
	after branching.
	* gnome-default-applications-properties.c: (browser_setup_custom),
	(mailer_setup_custom), (terminal_setup_custom): Use the binary
	that's found in the path. Patch by seb128 at debian org. Closes
	bug #148991.

2004-10-12  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* gnome-default-applications-properties-structs.c: Added Mozilla
	Firefox, Debian's "sensible-browser" and Debian's
	"x-terminal-emulator"; corrected typo in "w3m" binary name.

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-default-applications-properties.c: (create_dialog):
	Use themed icon for WM hint.

2004-07-13  David Sedeño <david@alderia.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=147244
	* gnome-default-applications-properties.c: Only put the toggles
	  inconsistent if there are not custom commands

2004-06-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=143975
	* gnome-default-applications-properties-structs.c : quick fix

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-06  Andrew Sobala  <aes@gnome.org>

	* gnome-default-applications-properties-structs.c:
	add evo 1.5 and 1.6 to the list

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-13  Jody Goldberg <jody@gnome.org>

	* gnome-default-applications-properties.c : Unique-ify the lists so
	  that we can handle multiple excutable names for the same browser
	  when the list jumps to gconf.  Remove the vile hack specifict to
	  evolution.

	* gnome-default-applications-properties-structs.c (};) : remove the
	  nremote flag and add a few new browsers.

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-default-applications-properties.c: (dialog_response): Update
	help link to point to user-guide.xml

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-01-09  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-default-applications-properties.glade: Add accessible
	relations so accessible names are correctly reported.
	Fixes bug #127302.

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* gnome-default-applications-properties.glade: Patch to fix spacing
	between action area and vbox of preferences dialog.

Fri Aug  1 15:49:03 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-default-applications-properties-structs.c
	(possible_terminals): Add N_() calls to all the human readable
	strings.  Based on a patch from Christophe Fergeau
	<teuf@users.sourceforge.net>, #117085

	* gnome-default-applications-properties-structs.c
	(possible_terminals): remove help browsers.  We basically only
	support yelp at this point.

2003-07-19  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-default-applications-properties.c:  Added a window icon
	to the capplet.

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-default-applications-properties.glade:  Very minor
	HIGification of widget padding.

2003-07-14  Christophe Fergeau  <teuf@gnome.org>

	* gnome-default-applications-properties-structs.c: added a few more
	  mailers
	* gnome-default-applications-properties.c:
	(initialize_default_applications): only display Evolution once when
	  both evo<=1.2 and evo>=1.4 are installed

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-25  Christophe Fergeau <teuf@users.sourceforge.net>

	* capplets/default-applications/gnome-default-applications-properties-structs.c
	* capplets/default-applications/gnome-default-applications-properties.c
	* capplets/default-applications/gnome-default-applications-properties.glade
	Added a tab to choose the preferred mailer, added epiphany to the list
	known browsers, don't select any checkbox there is no default browser
	or mailer

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-02-18  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-default-application-properties.c: Fix a double free poop
	that I made while fixing leaks. Spotted by jrb.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 Satyajit Kanungo <satyajit.kanungo@wipro.com>
	* Changed the App name passed to  gnome_program_init().
	  There was a small type in the name. Fixes bug #104060

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* default-applications.desktop.in: Fix the desktop file so that it
	validates.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-24  Satyajit Kanungo <satyajit.kanungo@wipro.com>

        * gnome-default-applications-properties.c : Changed the help file
          link to get the help document from user-guide.

2002-05-26  Jody Goldberg <jody@gnome.org>

	* file-types-capplet.c (cb_file_type_dialog_response) : Improve
	  handling of help failures.

2002-05-26  Jody Goldberg <jody@gnome.org>

	* gnome-default-applications-properties.c (dialog_response) : improve
	  handling of help failures.

Sun May 26 11:33:26 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-default-applications-properties.c (main): use APPID
	instead of argv[0]

Sun May 26 01:50:22 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-default-applications-properties.c (read_editor): patch
	from Till Adam <till@adam-lilienthal.de> to not die if we have the
	mimedata not installed.

2002-05-20  jacob berkman  <jacob@ximian.com>

	* gnome-default-applications-properties.c (text_apply_editor):
	just return if there's no text in the entry (fixes #8200, from Soren Sandmann
	<sandmann@daimi.au.dk>)

2002-05-16  jacob berkman  <jacob@ximian.com>

	* gnome-default-applications-properties.glade: turn off help tab,
	put browser tab first, and fix things for the editor

	* gnome-default-applications-properties.c: make the editor changes
	use gnome-vfs, and make the browser use the default key rather
	than http

	fixes #78037

Wed Apr 10 18:05:13 2002  Jonathan Blandford  <jrb@gnome.org>

	* default-applications.desktop.in (Exec): s/gnome2/gnome

2002-03-28  Richard Hestilow  <hestilow@ximian.com>

	* gnome-default-applications-properties.glade: Make dialog title
	match .desktop label.

2002-03-28  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-default-applications-properties.c (setup_peditors): Fix typo
	(read_help_viewer): Rename accepts_lineno to accepts_urls to avoid confusion
	(generic_guard): Set entry to empty string initially to force 'changed'
	signal on single-item combos too
	(read_editor): Use #defined key names to avoid future typos
	(setup_peditors): Ditto
	(read_browser): Ditto
	(read_help_viewer): Ditto
	(read_terminal): Ditto
	(create_dialog): Unsensitize combos, if defaults list is empty

2002-03-07  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-default-applications-properties.c (generic_guard): Set focus
	and emit signal here, instead of mnemonic handler
	(create_dialog): Set data on radio widgets, to be used for focus/entry
	tracking. Do not connect mnemonic_activate signals, as these are
	handled by toggles already.

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-default-applications-properties.c: s/PACKAGE/GETTEXT_PACKAGE/g

2002-02-17  Seth Nickell  <snickell@stanford.edu>

	* default-applications.desktop.in:

	Change menu name to "Preferred Applications" which faired
	better in user testing.

2002-02-11  Seth Nickell  <snickell@stanford.edu>

	* gnome-default-applications-properties-structs.c:
	* gnome-default-applications-properties.c: (read_editor),
	(setup_peditors), (read_browser), (browser_setup_custom),
	(value_changed_cb), (dialog_response), (create_dialog):
	* gnome-default-applications-properties.glade:

	Convert to instant apply, change to using property editors
	where convenient.

2002-02-10  Richard Hestilow  <hestilow@ximian.com>

	* Convert to apply/close, and commit a UI string
	fix from fflewddur@dropline.net.

Sun Feb 10 23:39:30 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-default-applications-properties.glade: Patch from
	fflewddur <fflewddur@dropline.net> to fix some strings.

2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-default-applications-properties.c (initialize_default_applications):
	Use glib methods instead of deprecated libgnome ones
	(read_editor): Do not crash on NULL value
	(read_help_viewer): Ditto
	(read_browser): Ditto

2002-01-19  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:

	Install the icon into the pixmaps dir so
	the Panel & Nautilus will pick up on it.

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (bin_PROGRAMS): Renamed binary
	gnome2-default-applications-properties
	(gnome2_default_applications_properties_SOURCES): Update
	(EXTRA_DIST): Put source file here

2002-01-04  Bradford Hovinen  <hovinen@ximian.com>

	* default-application-properties.c (edit_read): Check if tmp is
	NULL before continuing
	Use terminal/exec for terminal executable name key

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Clean up

	* default-application-properties.c (main): Call gtk_main, not
	capplet_gtk_main

	* interface.c: Don't #include capplet-widget.h

2001-12-19  Seth Nickell  <snickell@stanford.edu>

	* default-applications.desktop.in.in:

	Add Categories field so it shows up under the
	Settings submenu in the panel menus.

2001-12-08  Richard Hestilow  <hestilow@ximian.com>

	* Port to GConf.

2001-12-01  Richard Hestilow  <hestilow@ximian.com>

	* Initial GNOME2 port.

2001-08-18  Abel Cheung  <maddog@linux.org.hk>

	* interface.c (edit_create): Fixed a string (cut 'n paste is source
	  of all evil)

2001-07-31  Chema Celorio  <chema@celorio.com>

	* Makefile.am (cappletname): add DISTDIR to install-data-local

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.2

2001-07-25  Chema Celorio  <chema@celorio.com>

	* Makefile.am: remove the DESKTOP_IN_RULE and copy the sed here

2001-07-23  Richard Hestilow  <hestilow@ximian.com>

	* callbacks.c (on_radiodefeditor_toggled): Only set_selected_editor
	if the button is enabled.
	(on_seldefbrowser_toggled): Ditto.
	(on_seldefview_toggled): Ditto.
	(on_seldefterm_toggled): Ditto.

	* default-application-properties.c (fill_editor_data): Fix widget
	name typo.

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove SUBDIRS

2001-07-18  Chema Celorio  <chema@celorio.com>

	* default-applications.desktop.in.in (Exec): use the right binary name

	* Makefile.am (INCLUDES): we are not using GNOMESYSCONFDIR. remove

2001-07-17  Chema Celorio  <chema@celorio.com>

	* Makefile.am (SUBDIRS): clean

2001-07-17  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (default_application_properties_capplet_SOURCES):
	Added header files, including missing defaults.h
	(EXTRA_DIST): Removed header files

2001-07-16  Chema Celorio  <chema@celorio.com>

	* default-application-properties.c (possible_editors): is gedit not gEdit
	plues it is the default editor, not emacs ;-) (Yes, i MAY be a little biased
	here)

2001-07-16  Richard Hestilow  <hestilow@ximian.com>

	* Makefile.am: Fix typo in install-data-local.

2001-07-16  Richard Hestilow  <hestilow@ximian.com>

	* ChangeLog started.

	* default-application-properties.c (main): Pass correct name to
	capplet_widget_init, for .desktop file magic.
